# List Webhook Endpoints

Retrieves a list of all webhook endpoints that are registered under your account. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/webhook/endpoint.list": {
      "get": {
        "summary": "List Webhook Endpoints",
        "description": "list all your registered webhook endpoints",
        "operationId": "list-webhook-endpoints",
        "responses": {
          "200": {
            "description": "Webhook endpoints retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "code": 100,
                      "data": [
                        {
                          "url": "https://smee.io/TqIi123la44yuLyUV",
                          "username": "05ebaf283a8541f0b8d56a14c8a4ce72",
                          "events": null,
                          "created_at": "2025-10-21T13:49:18",
                          "entity_id": null,
                          "endpoint_id": "bc107bc9f1d444ad9245t99858e236f0",
                          "status": "enabled",
                          "secret": "123ec_TS_YwqJ-HujAT0KvEMqxrg==",
                          "space_id": "25ebafd65a8541f0b8d56a14c8a4ce72"
                        },
                        {
                          "url": "https://smee.io/FccuMlytrtl7cJ9",
                          "username": "05ebaf283a8541f0b8d56a14c8a4ce72",
                          "events": null,
                          "created_at": "2025-10-21T12:18:02",
                          "entity_id": null,
                          "endpoint_id": "531adhb367a941178c7250f8da2d7511",
                          "status": "enabled",
                          "secret": "whsec_sxDDqcoWlS8U3123dNU56Q==",
                          "space_id": "25ebafd65a8541f0b8d56a14c8a4ce72"
                        }
                      ],
                      "msg": null,
                      "message": null
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 100,
                      "default": 0,
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">Error Responses</a> for more details."
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "url": {
                            "type": "string",
                            "example": "https://helloworld.com",
                            "description": "Callback URL where HeyGen delivers event notifications. "
                          },
                          "username": {
                            "type": "string",
                            "example": "1233456789",
                            "description": "Unique identifier of the user who registered the webhook endpoint. "
                          },
                          "events": {
                            "description": "List of specific event types the endpoint is subscribed to. A `null` value means the endpoint listens to all events. ",
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2023-04-03T03:25:54",
                            "description": "The date and time when the endpoint was registered. ",
                            "format": "date-time"
                          },
                          "entity_id": {
                            "type": "string",
                            "description": "Identifier associated with a specific entity, if applicable. **Note:** This field is only applicable to translated videos with multiple language versions. For other video types, such as avatar videos, this field may return `null` since they are not linked to a project-based entity."
                          },
                          "endpoint_id": {
                            "type": "string",
                            "example": "6981dc2e59944a4ba195bcc1dd3be1af",
                            "description": "Unique identifier of the registered webhook endpoint. "
                          },
                          "status": {
                            "type": "string",
                            "example": "enabled",
                            "description": "Indicates whether the endpoint is currently active or inactive. ",
                            "enum": [
                              "enabled",
                              "disabled"
                            ]
                          },
                          "secret": {
                            "type": "string",
                            "example": "whsec_aZUbuN_UAC1zzuuYr_QVHA==",
                            "description": "Secret key associated with the endpoint. Used to verify that webhook requests originate from HeyGen. "
                          },
                          "space_id": {
                            "type": "string",
                            "description": "Unique identifier of the space or environment the webhook endpoint belongs to. "
                          }
                        }
                      },
                      "description": "Contains the list of all registered webhook endpoints. "
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```